public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [rpms/inn] epel10: initscript changes - fix of stop() phase errors, added URL , fixed License
@ 2026-08-26 8:05 Ondrej Vasik
0 siblings, 0 replies; only message in thread
From: Ondrej Vasik @ 2026-08-26 8:05 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : rpms/inn
Branch : epel10
Commit : ec5bc230a32cd32c1f06e012a4cac295bb35ab8a
Author : Ondrej Vasik <ovasik@fedoraproject.org>
Date : 2008-01-07T16:22:07+00:00
Stats : +14/-6 in 2 file(s)
URL : https://src.fedoraproject.org/rpms/inn/c/ec5bc230a32cd32c1f06e012a4cac295bb35ab8a?branch=epel10
Log:
initscript changes - fix of stop() phase errors, added URL , fixed License
tag
---
diff --git a/inn.spec b/inn.spec
index 676bc4b..791afaf 100644
--- a/inn.spec
+++ b/inn.spec
@@ -1,9 +1,11 @@
Summary: The InterNetNews (INN) system, an Usenet news server
Name: inn
Version: 2.4.3
-Release: 7%{?dist}
-License: GPL
+Release: 8%{?dist}
+#see LICENSE file for details
+License: GPL+ and BSD and MIT and Public Domain
Group: System Environment/Daemons
+URL: http://www.isc.org/products/INN/
Source0: ftp://ftp.isc.org/isc/inn/inn-%{version}.tar.gz
Source2: inn-default-distributions
Source4: inn-cron-expire
@@ -247,7 +249,7 @@ fi
exit 0
%files -f files.main
-%defattr(-,news,news)
+%defattr(-,news,news,-)
%dir /usr/lib/news/bin/control
%dir /usr/lib/news/bin/filter
%dir /usr/lib/news/bin/rnews.libexec
@@ -291,6 +293,11 @@ exit 0
%{_mandir}/man1/inews*
%changelog
+* Mon Jan 07 2008 Ondrej Vasik <ovasik@redhat.com> 2.4.3-8
+- initscript changes - review changes caused errors while
+ in stop() phase - not known variable NEWSBIN(#401241)
+- added url, fixed License tag
+
* Tue Oct 02 2007 Ondrej Dvoracek <odvorace@redhat.com> 2.4.3-7
- initscript review (#246951)
- added buildrequires for perl-devel and python
diff --git a/innd.init b/innd.init
index 2036497..58087f5 100644
--- a/innd.init
+++ b/innd.init
@@ -28,12 +28,13 @@
RETVAL=0
+[ -d /etc/news ] || exit 1
+[ -f /etc/news/inn.conf ] || exit 6
+. /usr/lib/news/lib/innshellvars || exit 1
+
start() {
# Check that networking is up.
[ "${NETWORKING}" = "no" ] && exit 1
- [ -d /etc/news ] || exit 1
- [ -f /etc/news/inn.conf ] || exit 6
- . /usr/lib/news/lib/innshellvars || exit 1
[ -d "$SPOOLBASE" ] || exit 1
[ -f "$HISTORY" -a -f "$HISTORY.hash" ] || {
echo $"Please run makehistory and/or makedbz before starting innd." >&2
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-08-26 8:05 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-08-26 8:05 [rpms/inn] epel10: initscript changes - fix of stop() phase errors, added URL , fixed License Ondrej Vasik
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox